Update a SIP Trunk
PATCH
/
v1
/
accounts
/
{account_id}
/
telephony
/
sip-trunks
/
{trunk_id}
Update a SIP Trunk
curl --request PATCH \
--url https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"sip_cidr": [
"<string>"
],
"rtp_cidr": [
"<string>"
],
"name": "<string>",
"encrypted": true,
"inbound": {
"sip_auth": {
"disable": true,
"username": "<string>",
"password": "<string>"
},
"sip_token_auth": {
"disable": true,
"token": "<string>"
},
"default_route": {
"disable": true
}
},
"outbound": {
"sip_addresses": [
"sip:my-sbc.example.com:5060",
"sip:my-sbc.example.com:5061;transport=tls"
],
"default_caller_id": "<string>"
}
}
'import requests
url = "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}"
payload = {
"sip_cidr": ["<string>"],
"rtp_cidr": ["<string>"],
"name": "<string>",
"encrypted": True,
"inbound": {
"sip_auth": {
"disable": True,
"username": "<string>",
"password": "<string>"
},
"sip_token_auth": {
"disable": True,
"token": "<string>"
},
"default_route": { "disable": True }
},
"outbound": {
"sip_addresses": ["sip:my-sbc.example.com:5060", "sip:my-sbc.example.com:5061;transport=tls"],
"default_caller_id": "<string>"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sip_cidr: ['<string>'],
rtp_cidr: ['<string>'],
name: '<string>',
encrypted: true,
inbound: {
sip_auth: {disable: true, username: '<string>', password: '<string>'},
sip_token_auth: {disable: true, token: '<string>'},
default_route: {disable: true}
},
outbound: {
sip_addresses: ['sip:my-sbc.example.com:5060', 'sip:my-sbc.example.com:5061;transport=tls'],
default_caller_id: '<string>'
}
})
};
fetch('https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sip_cidr' => [
'<string>'
],
'rtp_cidr' => [
'<string>'
],
'name' => '<string>',
'encrypted' => true,
'inbound' => [
'sip_auth' => [
'disable' => true,
'username' => '<string>',
'password' => '<string>'
],
'sip_token_auth' => [
'disable' => true,
'token' => '<string>'
],
'default_route' => [
'disable' => true
]
],
'outbound' => [
'sip_addresses' => [
'sip:my-sbc.example.com:5060',
'sip:my-sbc.example.com:5061;transport=tls'
],
'default_caller_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}"
payload := strings.NewReader("{\n \"sip_cidr\": [\n \"<string>\"\n ],\n \"rtp_cidr\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"encrypted\": true,\n \"inbound\": {\n \"sip_auth\": {\n \"disable\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"sip_token_auth\": {\n \"disable\": true,\n \"token\": \"<string>\"\n },\n \"default_route\": {\n \"disable\": true\n }\n },\n \"outbound\": {\n \"sip_addresses\": [\n \"sip:my-sbc.example.com:5060\",\n \"sip:my-sbc.example.com:5061;transport=tls\"\n ],\n \"default_caller_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sip_cidr\": [\n \"<string>\"\n ],\n \"rtp_cidr\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"encrypted\": true,\n \"inbound\": {\n \"sip_auth\": {\n \"disable\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"sip_token_auth\": {\n \"disable\": true,\n \"token\": \"<string>\"\n },\n \"default_route\": {\n \"disable\": true\n }\n },\n \"outbound\": {\n \"sip_addresses\": [\n \"sip:my-sbc.example.com:5060\",\n \"sip:my-sbc.example.com:5061;transport=tls\"\n ],\n \"default_caller_id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sip_cidr\": [\n \"<string>\"\n ],\n \"rtp_cidr\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"encrypted\": true,\n \"inbound\": {\n \"sip_auth\": {\n \"disable\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"sip_token_auth\": {\n \"disable\": true,\n \"token\": \"<string>\"\n },\n \"default_route\": {\n \"disable\": true\n }\n },\n \"outbound\": {\n \"sip_addresses\": [\n \"sip:my-sbc.example.com:5060\",\n \"sip:my-sbc.example.com:5061;transport=tls\"\n ],\n \"default_caller_id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"account_id": "<string>",
"sip_cidr": [
"<string>"
],
"rtp_cidr": [
"<string>"
],
"name": "<string>",
"encrypted": true,
"inbound": {
"hostname": "<string>",
"sip_auth": {
"enabled": true,
"username": "<string>",
"realm": "<string>"
},
"sip_token_auth": {
"enabled": true
},
"default_route": {
"agent": {
"agent_id": "<string>",
"client_env": "sandbox",
"variant_id": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"outbound": {
"sip_addresses": [
"sip:my-sbc.example.com:5060",
"sip:my-sbc.example.com:5061;transport=tls"
],
"default_caller_id": "<string>"
}
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}Omitted fields are left unchanged.
Provide exactly one of
Default route
inbound.default_route sets, replaces or clears the agent that receives calls to numbers with no extension on the trunk. See Default route for how it interacts with extensions.
curl -X PATCH https://api.us.poly.ai/v1/accounts/ACCOUNT_ID/telephony/sip-trunks/TRUNK_ID \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inbound": {
"default_route": { "agent": { "agent_id": "my-agent", "client_env": "live" } }
}
}'
{
"id": "tr-0123456789abcdefghijklmn",
"inbound": {
"hostname": "tr-0123456789abcdefghijklmn.sbc.sip.us.poly.ai",
"sip_auth": { "enabled": false },
"sip_token_auth": { "enabled": true },
"default_route": {
"agent": { "agent_id": "my-agent", "client_env": "live", "variant_id": "" }
}
},
…
}
| To | Send |
|---|---|
| Set | {"inbound": {"default_route": {"agent": {"agent_id": "my-agent", "client_env": "live"}}}} |
| Replace | The same, with a different agent |
| Clear | {"inbound": {"default_route": {"disable": true}}} |
agent or disable: true; anything else returns 400. Omitting default_route leaves it unchanged. Changes can take up to a minute to affect calls.Path Parameters
Body
application/json
Send only the fields you want to change; anything omitted is left unchanged. The owning account is immutable and cannot be changed.
Response
The updated SIP Trunk.
A SIP Trunk.
Last modified on September 28, 2026
Was this page helpful?
⌘I
Update a SIP Trunk
curl --request PATCH \
--url https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"sip_cidr": [
"<string>"
],
"rtp_cidr": [
"<string>"
],
"name": "<string>",
"encrypted": true,
"inbound": {
"sip_auth": {
"disable": true,
"username": "<string>",
"password": "<string>"
},
"sip_token_auth": {
"disable": true,
"token": "<string>"
},
"default_route": {
"disable": true
}
},
"outbound": {
"sip_addresses": [
"sip:my-sbc.example.com:5060",
"sip:my-sbc.example.com:5061;transport=tls"
],
"default_caller_id": "<string>"
}
}
'import requests
url = "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}"
payload = {
"sip_cidr": ["<string>"],
"rtp_cidr": ["<string>"],
"name": "<string>",
"encrypted": True,
"inbound": {
"sip_auth": {
"disable": True,
"username": "<string>",
"password": "<string>"
},
"sip_token_auth": {
"disable": True,
"token": "<string>"
},
"default_route": { "disable": True }
},
"outbound": {
"sip_addresses": ["sip:my-sbc.example.com:5060", "sip:my-sbc.example.com:5061;transport=tls"],
"default_caller_id": "<string>"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sip_cidr: ['<string>'],
rtp_cidr: ['<string>'],
name: '<string>',
encrypted: true,
inbound: {
sip_auth: {disable: true, username: '<string>', password: '<string>'},
sip_token_auth: {disable: true, token: '<string>'},
default_route: {disable: true}
},
outbound: {
sip_addresses: ['sip:my-sbc.example.com:5060', 'sip:my-sbc.example.com:5061;transport=tls'],
default_caller_id: '<string>'
}
})
};
fetch('https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sip_cidr' => [
'<string>'
],
'rtp_cidr' => [
'<string>'
],
'name' => '<string>',
'encrypted' => true,
'inbound' => [
'sip_auth' => [
'disable' => true,
'username' => '<string>',
'password' => '<string>'
],
'sip_token_auth' => [
'disable' => true,
'token' => '<string>'
],
'default_route' => [
'disable' => true
]
],
'outbound' => [
'sip_addresses' => [
'sip:my-sbc.example.com:5060',
'sip:my-sbc.example.com:5061;transport=tls'
],
'default_caller_id' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}"
payload := strings.NewReader("{\n \"sip_cidr\": [\n \"<string>\"\n ],\n \"rtp_cidr\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"encrypted\": true,\n \"inbound\": {\n \"sip_auth\": {\n \"disable\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"sip_token_auth\": {\n \"disable\": true,\n \"token\": \"<string>\"\n },\n \"default_route\": {\n \"disable\": true\n }\n },\n \"outbound\": {\n \"sip_addresses\": [\n \"sip:my-sbc.example.com:5060\",\n \"sip:my-sbc.example.com:5061;transport=tls\"\n ],\n \"default_caller_id\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sip_cidr\": [\n \"<string>\"\n ],\n \"rtp_cidr\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"encrypted\": true,\n \"inbound\": {\n \"sip_auth\": {\n \"disable\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"sip_token_auth\": {\n \"disable\": true,\n \"token\": \"<string>\"\n },\n \"default_route\": {\n \"disable\": true\n }\n },\n \"outbound\": {\n \"sip_addresses\": [\n \"sip:my-sbc.example.com:5060\",\n \"sip:my-sbc.example.com:5061;transport=tls\"\n ],\n \"default_caller_id\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sip_cidr\": [\n \"<string>\"\n ],\n \"rtp_cidr\": [\n \"<string>\"\n ],\n \"name\": \"<string>\",\n \"encrypted\": true,\n \"inbound\": {\n \"sip_auth\": {\n \"disable\": true,\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"sip_token_auth\": {\n \"disable\": true,\n \"token\": \"<string>\"\n },\n \"default_route\": {\n \"disable\": true\n }\n },\n \"outbound\": {\n \"sip_addresses\": [\n \"sip:my-sbc.example.com:5060\",\n \"sip:my-sbc.example.com:5061;transport=tls\"\n ],\n \"default_caller_id\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"account_id": "<string>",
"sip_cidr": [
"<string>"
],
"rtp_cidr": [
"<string>"
],
"name": "<string>",
"encrypted": true,
"inbound": {
"hostname": "<string>",
"sip_auth": {
"enabled": true,
"username": "<string>",
"realm": "<string>"
},
"sip_token_auth": {
"enabled": true
},
"default_route": {
"agent": {
"agent_id": "<string>",
"client_env": "sandbox",
"variant_id": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"outbound": {
"sip_addresses": [
"sip:my-sbc.example.com:5060",
"sip:my-sbc.example.com:5061;transport=tls"
],
"default_caller_id": "<string>"
}
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}
